Skip to content

Update Training Config

Update an existing training configuration. The authenticated user must have ADMIN permissions for the targetPath.

Parameters

name * are required parametersdata typedescription
trainingId*stringThe unique identifier of the training config to update
body.namestringThe display name of the training
body.descriptionstringA description of the training
body.fieldGroupsobject[]Field groups that define the training form structure
body.expiryDaysnumberNumber of days before the training expires
body.rolesstring[]Role IDs for which this training is required

Return Value

The updated training config object.

Error Codes

  • 400 Bad Request: Returned when parameters are invalid.
  • 401 Unauthorized: Returned when permissions are insufficient.

Examples

bash
curl -X PUT "https://app.wombat.software/api/{targetPath}/training/:trainingId" \
  -H "Content-Type: application/json" \
  -H "Authentication: Bearer ..." \
  -d '{"name": "Updated Safety Orientation", "expiryDays": 180}'

ENDPOINTS

put/api/{targetPath}/training/:trainingId